Web lists-archives.com

Bug#886844: ITP: node-babel-plugin-transform-inline-imports-commonjs




Package: wnpp
Severity: wishlist
Owner: Paolo Greppi <paolo.greppi@xxxxxxxxx>

* Package name    : node-babel-plugin-transform-inline-imports-commonjs
  Version         : 1.2.0
  Upstream Author : Andres Suarez <zertosh@xxxxxxxxx>
* URL             : https://github.com/zertosh/babel-plugin-transform-inline-imports-commonjs#readme
* License         : Expat
  Programming Lang: JavaScript
  Description     : Babel plugin that lazily transforms ES2015 modules to CommonJS

 This babel plugin transforms ES2015 modules to CommonJS and can be used
 instead of node-babel-plugin-transform-es2015-modules-commonjs; it uses lazy
 module loading i.e. your modules are not really imported before you accessxi
 their exports.
 Lazy module import skips all modules besides those which are really needed,
 it is faster and works nicer with circular dependencies between modules.
 .
 Babel is a JavaScript compiler to use next generation JavaScript, today.
 .
 Node.js is an event-based server-side JavaScript engine.

This is required to build node-yarnpkg, see ITP:
https://bugs.debian.org/843021

My intention is to package it within the JavaScript maintainers team.

The repo will be on salsa:
https://salsa.debian.org/js-team/node-babel-plugin-transform-inline-imports-commonjs

Paolo